Bug 1174732 - After browser window is refreshed, configuration of web subsystem is saved into incorrect profile
Summary: After browser window is refreshed, configuration of web subsystem is saved in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER1
: EAP 6.4.0
Assignee: Harald Pehl
QA Contact: Pavel Jelinek
URL:
Whiteboard:
Depends On:
Blocks: 1176535
TreeView+ depends on / blocked
 
Reported: 2014-12-16 11:48 UTC by Jakub Cechacek
Modified: 2019-08-19 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:40:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-553 0 Major Resolved ModelDrivenWidgets using "{selected.profile}/..." do not observe profile switch 2015-11-24 08:46:46 UTC

Description Jakub Cechacek 2014-12-16 11:48:43 UTC
After refreshing the browser window, console will start storing the configuration of web subsystem into default profile

Steps to Reproduce:
1. start eap in domain mode
2. navigate to configuration -> Web -> Servlet/HTTP
3. change profile to full
4. change the value of "Default session timeout" attribute to "12"
5. save the config
6. refresh the browser window
7. change the value of "Default session timeout" attribute to "42"
8. save the config


Expected result: Attribute value in full profile is 42
Actual result: Attribute value in full profile is 12. Attribute value if default profile is 42

If I am to guess what's wrong, I would say that after refreshing the browser window the information about active profile is lost.

Comment 2 Harald Pehl 2014-12-16 12:59:40 UTC
Update: The same issue exists when you just switch between profiles (without refreshing the browser window)

Comment 3 JBoss JIRA Server 2014-12-16 13:59:45 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-553 to Resolved

Comment 4 Pavel Jelinek 2015-01-14 15:38:03 UTC
Verified for EAP 6.4.0.ER1.


Note You need to log in before you can comment on or make changes to this bug.